rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
rpmBuildArguments_s Struct Reference
RPMCLI.

Describe build command line request. More...

`#include <lib/rpmcli.h>`

## Data Fields
rpmQueryFlags | qva_flags
int | buildAmount
const char * | passPhrase
const char * | cookie
int | noBuild
int | noDeps
int | noLang
int | shortCircuit
int | sign
int | nopassword
int | useCatalog
char | buildMode
char | buildChar
const char * | rootdir

## Detailed Description

Describe build command line request.

Definition at line 728 of file rpmcli.h.

## Field Documentation

int rpmBuildArguments_s::buildAmount

Bit(s) to control operation.

Definition at line 730 of file rpmcli.h.

Referenced by buildArgCallback(), main(), prepFetch(), and prepFetchVerbose().

char rpmBuildArguments_s::buildChar

Build stage (one of "abcilps ")

Definition at line 743 of file rpmcli.h.

Referenced by buildArgCallback(), and main().

char rpmBuildArguments_s::buildMode

Build mode (one of "btBC")

Definition at line 742 of file rpmcli.h.

Referenced by buildArgCallback(), and main().

const char* rpmBuildArguments_s::cookie

NULL for binary, ??? for source, rpm's

Definition at line 734 of file rpmcli.h.

Referenced by main().

int rpmBuildArguments_s::noBuild

from –nobuild

Definition at line 735 of file rpmcli.h.

Referenced by buildArgCallback().

int rpmBuildArguments_s::noDeps

from –nodeps

Definition at line 736 of file rpmcli.h.

Referenced by buildArgCallback(), and main().

int rpmBuildArguments_s::noLang

from –nolang

Definition at line 737 of file rpmcli.h.

Referenced by buildArgCallback().

int rpmBuildArguments_s::nopassword

Definition at line 740 of file rpmcli.h.

Referenced by main().

const char* rpmBuildArguments_s::passPhrase

Pass phrase.

Definition at line 732 of file rpmcli.h.

Referenced by main().

rpmQueryFlags rpmBuildArguments_s::qva_flags

Bit(s) to control verification.

Definition at line 729 of file rpmcli.h.

Referenced by buildArgCallback().

const char* rpmBuildArguments_s::rootdir

Definition at line 745 of file rpmcli.h.

Referenced by main().

int rpmBuildArguments_s::shortCircuit

from –short-circuit

Definition at line 738 of file rpmcli.h.

Referenced by buildArgCallback(), and main().

int rpmBuildArguments_s::sign

from –sign

Definition at line 739 of file rpmcli.h.

Referenced by buildArgCallback(), and main().

int rpmBuildArguments_s::useCatalog

from –usecatalog

Definition at line 741 of file rpmcli.h.

Referenced by buildArgCallback().

The documentation for this struct was generated from the following file:

- lib/rpmcli.h